Blackra!n not working

vincetatum

macrumors newbie
Original poster
Jun 15, 2009
4
0
I have a 3G Version 3.1.3 firmware 05.12.01. I have been trying to jailbreak using blackra!n but when I run this the "connect to itunes" screen comes up, iTunes opens and tells me that the phone is in restore, and then the jailbreak says that its done.

What am I doing wrong?
 

douflag

macrumors member
Apr 6, 2010
70
0
I have a 3G Version 3.1.3 firmware 05.12.01. I have been trying to jailbreak using blackra!n but when I run this the "connect to itunes" screen comes up, iTunes opens and tells me that the phone is in restore, and then the jailbreak says that its done.

What am I doing wrong?
First of all, there's no such legitimate tool as blackra!n. It's blackra1n; I don't know if you downloaded some fake JB, but wanted to make sure. Second, blackra1n doesn't work with 3.1.3. You need to JB with Spirit. What you could try now is to download TinyUmbrella, and then kick the device out of recovery mode.

If that doesn't work, restore back to 3.1.3, and JB using Spirit.
 

lakshi

macrumors 6502
Feb 7, 2008
259
1
Did you say u have a 3g phone? If you did, restore to 4.0.1, jailbreak with redsn0w_win_0.9.5b5-5, then unlock with ultrasn0w...good luck
 

SavMBP15

macrumors 6502
Mar 26, 2010
371
6
First of all, there's no such legitimate tool as blackra!n. It's blackra1n; I don't know if you downloaded some fake JB, but wanted to make sure. Second, blackra1n doesn't work with 3.1.3. You need to JB with Spirit. What you could try now is to download TinyUmbrella, and then kick the device out of recovery mode.

If that doesn't work, restore back to 3.1.3, and JB using Spirit.
Just use Redsn0w or Pwnage to jailbreak it on 3.1.3. I've never had any problems, then use Ultrasn0w to unlock.

iOS 4 on a 3G iphone is a waste imo.
 

vincetatum

macrumors newbie
Original poster
Jun 15, 2009
4
0
Did you say u have a 3g phone? If you did, restore to 4.0.1, jailbreak with redsn0w_win_0.9.5b5-5, then unlock with ultrasn0w...good luck
I did this and when I select my ipsw file, it says that it can't be recognized. I also downloaded the 4.0_8A293_Restore ipsw and it won't recognize that either.
 

thelatinist

macrumors 603
Aug 15, 2009
5,934
49
Connecticut, USA
I did this and when I select my ipsw file, it says that it can't be recognized. I also downloaded the 4.0_8A293_Restore ipsw and it won't recognize that either.
Assuming you have a 3G and not a 3GS:

1) Upgrade your 3G to 4.0.1.
2) Downloaded redsn0w 0.9.5B5-5 and iPhone1,2_4.0_8A293_Restore.ipsw.
3) Run redsn0w and, when asked to point to your firmware file, point it to the 4.0 firmware you downloaded in step 2, not the 4.0.1 firmware you have installed on your phone.
4) Follow the on-screen instructions to jailbreak your phone.
 

vincetatum

macrumors newbie
Original poster
Jun 15, 2009
4
0
Thanks guys. Just had to move the ipsw file to the redsn0w folder and it worked perfectly. Between this site and a little searching on Google...
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.